CREATE INDEX ITMUSER.KVM_RPT_SERVER_D ON ITMUSER.KVM_SERVER_D
("LAT_Datacenter", "LAT_Cluster", "Server_Hostname", WRITETIME, SHIFTPERIOD, VACATIONPERIOD)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL
#
CREATE INDEX ITMUSER.KVM_RPT_VIRTUAL_MACHINES_D ON ITMUSER.KVM_VIRTUAL_MACHINES_D
("Datacenter", "LAT_Cluster", "VM_Server_Name", "VM_Name", WRITETIME, SHIFTPERIOD, VACATIONPERIOD)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL
#
CREATE INDEX ITMUSER.KVM_RPT_CLSTRD_RSC_POOLS_D ON ITMUSER.KVM_CLUSTERED_RESOURCE_POOLS_D
("DataCenter", "Cluster_Name", WRITETIME, SHIFTPERIOD, VACATIONPERIOD)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL
#
CREATE INDEX ITMUSER.KVM_RPT_SERVER_NETWORK_D ON ITMUSER.KVM_SERVER_NETWORK_D
("LAT_Datacenter", "LAT_Cluster", "Server_Hostname", WRITETIME, SHIFTPERIOD, VACATIONPERIOD)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL
#
CREATE INDEX ITMUSER.KVM_RPT_VM_NETWORK_D ON ITMUSER.KVM_VM_NETWORK_D
("LAT_Datacenter", "LAT_Cluster", "VM_Server_Name", "VM_Name", WRITETIME, SHIFTPERIOD, VACATIONPERIOD)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL
#
CREATE INDEX ITMUSER.KVM_RPT_CLUSTERS_D ON ITMUSER.KVM_CLUSTERS_D
("DataCenter", "Cluster_Name", WRITETIME, SHIFTPERIOD, VACATIONPERIOD)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL
#
CREATE INDEX ITMUSER.KVM_RPT_SERVER_H ON ITMUSER.KVM_SERVER_H
("LAT_Datacenter", "LAT_Cluster", "Server_Hostname", WRITETIME, SHIFTPERIOD, VACATIONPERIOD)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL
#
CREATE INDEX ITMUSER.KVM_RPT_VIRTUAL_MACHINES_H ON ITMUSER.KVM_VIRTUAL_MACHINES_H
("Datacenter", "LAT_Cluster", "VM_Server_Name", "VM_Name", WRITETIME, SHIFTPERIOD, VACATIONPERIOD)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL
#
CREATE INDEX ITMUSER.KVM_RPT_SERVER_M ON ITMUSER.KVM_SERVER_M
("LAT_Datacenter", "LAT_Cluster", "Server_Hostname", WRITETIME, SHIFTPERIOD, VACATIONPERIOD)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL
#
CREATE INDEX ITMUSER.KVM_RPT_SERVER_W ON ITMUSER.KVM_SERVER_W
("LAT_Datacenter", "LAT_Cluster", "Server_Hostname", WRITETIME, SHIFTPERIOD, VACATIONPERIOD)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL
#
CREATE INDEX ITMUSER.KVM_RPT_SERVER_NETWORK_H ON ITMUSER.KVM_SERVER_NETWORK_H
("LAT_Datacenter", "LAT_Cluster", "Server_Hostname", WRITETIME, SHIFTPERIOD, VACATIONPERIOD)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL
#
CREATE INDEX ITMUSER.KVM_RPT_SERVER_NETWORK_M ON ITMUSER.KVM_SERVER_NETWORK_M
("LAT_Datacenter", "LAT_Cluster", "Server_Hostname", WRITETIME, SHIFTPERIOD, VACATIONPERIOD)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL
#
CREATE INDEX ITMUSER.KVM_RPT_SERVER_NETWORK_W ON ITMUSER.KVM_SERVER_NETWORK_W
("LAT_Datacenter", "LAT_Cluster", "Server_Hostname", WRITETIME, SHIFTPERIOD, VACATIONPERIOD)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL
#
CREATE INDEX ITMUSER.KVM_RPT_VIRTUAL_MACHINES_M ON ITMUSER.KVM_VIRTUAL_MACHINES_M
("Datacenter", "LAT_Cluster", "VM_Server_Name", "VM_Name", WRITETIME, SHIFTPERIOD, VACATIONPERIOD)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL
#
CREATE INDEX ITMUSER.KVM_RPT_VIRTUAL_MACHINES_W ON ITMUSER.KVM_VIRTUAL_MACHINES_W
("Datacenter", "LAT_Cluster", "VM_Server_Name", "VM_Name", WRITETIME, SHIFTPERIOD, VACATIONPERIOD)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL
#
CREATE INDEX ITMUSER.KVM_RPT_VM_NETWORK_H ON ITMUSER.KVM_VM_NETWORK_H
("LAT_Datacenter", "LAT_Cluster", "VM_Server_Name", "VM_Name", WRITETIME, SHIFTPERIOD, VACATIONPERIOD)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL
#
CREATE INDEX ITMUSER.KVM_RPT_VM_NETWORK_M ON ITMUSER.KVM_VM_NETWORK_M
("LAT_Datacenter", "LAT_Cluster", "VM_Server_Name", "VM_Name", WRITETIME, SHIFTPERIOD, VACATIONPERIOD)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL
#
CREATE INDEX ITMUSER.KVM_RPT_VM_NETWORK_W ON ITMUSER.KVM_VM_NETWORK_W
("LAT_Datacenter", "LAT_Cluster", "VM_Server_Name", "VM_Name", WRITETIME, SHIFTPERIOD, VACATIONPERIOD)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL
#
CREATE INDEX ITMUSER.KVM_RPT_CLUSTERS_H ON ITMUSER.KVM_CLUSTERS_H
("DataCenter", "Cluster_Name", WRITETIME, SHIFTPERIOD, VACATIONPERIOD)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL
#
CREATE INDEX ITMUSER.KVM_RPT_CLUSTERS_M ON ITMUSER.KVM_CLUSTERS_M
("DataCenter", "Cluster_Name", WRITETIME, SHIFTPERIOD, VACATIONPERIOD)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL
#
CREATE INDEX ITMUSER.KVM_RPT_CLUSTERS_W ON ITMUSER.KVM_CLUSTERS_W
("DataCenter", "Cluster_Name", WRITETIME, SHIFTPERIOD, VACATIONPERIOD)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL
#
COMMIT