CREATE SCHEMA IBM_TRAM
#
CREATE TABLE IBM_TRAM.TIME_DIMENSION (  
  TIME_RANGE_START TIMESTAMP NOT NULL,  
  TIME_RANGE_END TIMESTAMP NOT NULL, 
  HOUR_KEY TIMESTAMP NOT NULL,  
  DAY_KEY TIMESTAMP NOT NULL,  
  WEEK_KEY TIMESTAMP NOT NULL,  
  MONTH_KEY TIMESTAMP NOT NULL,  
  QUARTER_KEY TIMESTAMP NOT NULL,
  YEAR_KEY TIMESTAMP NOT NULL,  
  CURRENT_DATE DATE NOT NULL,  
  CURRENT_MINUTE SMALLINT,  
  CURRENT_HOUR SMALLINT,  
  CURRENT_DAY SMALLINT,  
  CURRENT_WEEK SMALLINT,  
  CURRENT_MONTH SMALLINT,  
  CURRENT_QUARTER SMALLINT,  
  CURRENT_YEAR SMALLINT, 
  DAY_OF_WEEK SMALLINT,  
  DAYS_IN_MONTH SMALLINT,  
  DAY_OF_YEAR SMALLINT,  
  WEEK_OF_MONTH SMALLINT,  
  WEEK_OF_QUARTER SMALLINT,
  CANDLETIMESTAMP CHAR(16) NOT NULL,  
  END_CANDLETIMESTAMP CHAR(16) NOT NULL,  
  PRIMARY KEY( TIME_RANGE_START, TIME_RANGE_END)
) 
#
CREATE TABLE IBM_TRAM.MONTH_LOOKUP(
	MONTH_NUMBER SMALLINT NOT NULL,
	MONTH_EN VARCHAR(12),
	MONTH_FR VARCHAR(25),
	MONTH_PT_BR VARCHAR(25),
	MONTH_JA VARCHAR(25),
	MONTH_DE VARCHAR(25),
	MONTH_IT VARCHAR(25),
	MONTH_KO VARCHAR(25),
	MONTH_CS VARCHAR(25),
	MONTH_HU VARCHAR(25),
	MONTH_PL VARCHAR(25),
	MONTH_RU VARCHAR(75),
	MONTH_ZH_CN VARCHAR(25),
	MONTH_ZH_TW VARCHAR(25),
	MONTH_ES VARCHAR(25),
	PRIMARY KEY (MONTH_NUMBER))
#

CREATE TABLE IBM_TRAM.WEEKDAY_LOOKUP(
	WEEKDAY_NUMBER SMALLINT NOT NULL,
	WEEKDAY_EN VARCHAR(12),
	WEEKDAY_FR VARCHAR(25),
	WEEKDAY_PT_BR VARCHAR(25),
	WEEKDAY_JA VARCHAR(25),
	WEEKDAY_DE VARCHAR(25),
	WEEKDAY_IT VARCHAR(25),
	WEEKDAY_KO VARCHAR(25),
	WEEKDAY_CS VARCHAR(25),
	WEEKDAY_HU VARCHAR(25),
	WEEKDAY_PL VARCHAR(25),
	WEEKDAY_RU VARCHAR(75),
	WEEKDAY_ZH_CN VARCHAR(25),
	WEEKDAY_ZH_TW VARCHAR(25),
	WEEKDAY_ES VARCHAR(25),
	PRIMARY KEY (WEEKDAY_NUMBER))
#

INSERT into IBM_TRAM.MONTH_LOOKUP VALUES (1, 'January', 'Janvier', 'Janeiro', '1 月', 'Januar', 'Gennaio', '1월', 'Leden', 'Január', 'Styczeń', 'Январь', '一月','一月','Enero')
#
INSERT into IBM_TRAM.MONTH_LOOKUP VALUES (2, 'February', 'Février', 'Fevereiro', '2 月', 'Februar', 'Febbraio', '2월', 'Únor', 'Február', 'Luty', 'Февраль', '二月','二月','Febrero')
#
INSERT into IBM_TRAM.MONTH_LOOKUP VALUES (3, 'March', 'Mars', 'Março', '3 月', 'März', 'Marzo', '3월', 'Březen', 'Március', 'Marzec', 'Март', '三月','三月','Marzo')
#
INSERT into IBM_TRAM.MONTH_LOOKUP VALUES (4, 'April', 'Avril', 'Abril', '4 月', 'April', 'Aprile', '4월', 'Duben', 'Április', 'Kwiecień', 'Апрель', '四月','四月','Abril')
#
INSERT into IBM_TRAM.MONTH_LOOKUP VALUES (5, 'May', 'Mai', 'Maio', '5 月', 'Mai', 'Maggio', '5월', 'Květen', 'Május', 'Maj', 'Май', '五月','五月','Mayo')
#
INSERT into IBM_TRAM.MONTH_LOOKUP VALUES (6, 'June', 'Juin', 'Junho', '6 月', 'Juni', 'Giugno', '6월', 'Červen', 'Június', 'Czerwiec', 'Июнь', '六月','六月','Junio')
#
INSERT into IBM_TRAM.MONTH_LOOKUP VALUES (7, 'July', 'Juillet', 'Julho', '7 月', 'Juli', 'Luglio', '7월', 'Červenec', 'Július', 'Lipiec', 'Июль', '七月','七月','Julio')
#
INSERT into IBM_TRAM.MONTH_LOOKUP VALUES (8, 'August', 'Août', 'Agosto', '8 月', 'August', 'Agosto', '8월', 'Srpen', 'Augusztus', 'Sierpień', 'Август', '八月','八月','Agosto')
#
INSERT into IBM_TRAM.MONTH_LOOKUP VALUES (9, 'September', 'Septembre', 'Setembro', '9 月', 'September', 'Settembre', '9월', 'Září', 'Szeptember', 'Wrzesień', 'Сентябрь', '九月','九月','Septiembre')
#
INSERT into IBM_TRAM.MONTH_LOOKUP VALUES (10, 'October', 'Octobre', 'Outubro', '10 月', 'Oktober', 'Ottobre', '10월', 'Říjen', 'Október', 'Październik', 'Октябрь', '十月','十月','Octubre')
#
INSERT into IBM_TRAM.MONTH_LOOKUP VALUES (11, 'November', 'Novembre', 'Novembro', '11 月', 'November', 'Novembre', '11월', 'Listopad', 'November', 'Listopad', 'Ноябрь', '十一月','十一月','Noviembre')
#
INSERT into IBM_TRAM.MONTH_LOOKUP VALUES (12, 'December', 'Décembre', 'Dezembro', '12 月', 'Dezember', 'Dicembre', '12월', 'Prosinec', 'December', 'Grudzień', 'Декабрь', '十二月','十二月','Diciembre')

#


INSERT into IBM_TRAM.WEEKDAY_LOOKUP VALUES (1, 'Sunday', 'Dimanche', 'Domingo', '日曜日', 'Sonntag', 'Domenica', '일요일', 'Neděle', 'Vasárnap', 'Niedziela', 'Воскресенье', '星期日','星期日','Domingo' )
#
INSERT into IBM_TRAM.WEEKDAY_LOOKUP VALUES (2, 'Monday', 'Lundi', 'Segunda-feira', '月曜日', 'Montag', 'Lunedì', '월요일', 'Pondělí', 'Hétfő', 'Poniedziałek', 'Понедельник', '星期一','星期一','Lunes')
#
INSERT into IBM_TRAM.WEEKDAY_LOOKUP VALUES (3, 'Tuesday', 'Mardi', 'Terça-feira', '火曜日', 'Dienstag', 'Martedì', '화요일', 'Úterý', 'Kedd', 'Wtorek', 'Вторник', '星期二','星期二','Martes')
#
INSERT into IBM_TRAM.WEEKDAY_LOOKUP VALUES (4, 'Wednesday', 'Mercredi', 'Quarta-feira', '水曜日', 'Mittwoch', 'Mercoledì', '수요일', 'Středa', 'Szerda', 'Środa', 'Среда', '星期三','星期三','Miércoles')
#
INSERT into IBM_TRAM.WEEKDAY_LOOKUP VALUES (5, 'Thursday', 'Jeudi', 'Quinta-feira', '木曜日', 'Donnerstag', 'Giovedì', '목요일', 'Čtvrtek', 'Csütörtök', 'Czwartek', 'Четверг', '星期四','星期四','Jueves')
#
INSERT into IBM_TRAM.WEEKDAY_LOOKUP VALUES (6, 'Friday', 'Vendredi', 'Sexta-feira', '金曜日', 'Freitag', 'Venerdì', '금요일', 'Pátek', 'Péntek', 'Piątek', 'Пятница', '星期五','星期五','Viernes')
#
INSERT into IBM_TRAM.WEEKDAY_LOOKUP VALUES (7, 'Saturday', 'Samedi', 'Sábado', '土曜日', 'Samstag', 'Sabato', '토요일', 'Sobota', 'Szombat', 'Sobota', 'Суббота', '星期六','星期六','Sábado')

#


CREATE UNIQUE INDEX IBM_TRAM.IXCANDLE     ON IBM_TRAM.TIME_DIMENSION       
(CANDLETIMESTAMP, END_CANDLETIMESTAMP)    
 PCTFREE 20
 
#
CREATE UNIQUE INDEX IBM_TRAM.IXSTDTMTMP     ON IBM_TRAM.TIME_DIMENSION       
(TIME_RANGE_START, CANDLETIMESTAMP, END_CANDLETIMESTAMP,  TIME_RANGE_END)    
 PCTFREE 20
 
#

CREATE INDEX IBM_TRAM.IXCURRYRMODAY     ON IBM_TRAM.TIME_DIMENSION      
 (CURRENT_YEAR, CURRENT_MONTH, CURRENT_DAY)  PCTFREE 20
 
#

CREATE INDEX IBM_TRAM.IXCURRMODAY     ON IBM_TRAM.TIME_DIMENSION       
(CURRENT_MONTH, CURRENT_DAY)  PCTFREE 20 

# 

CREATE INDEX IBM_TRAM.IXCURRMOWK     ON IBM_TRAM.TIME_DIMENSION       
(CURRENT_MONTH, CURRENT_WEEK)  PCTFREE 20 

#
	
CREATE INDEX IBM_TRAM.IXCURRDAYHR     ON IBM_TRAM.TIME_DIMENSION      
 (CURRENT_DAY, CURRENT_HOUR)  PCTFREE 20 

# 


CREATE TABLE IBM_TRAM.TIMEZONE_DIMENSION (  
  TZOFF INTEGER NOT NULL,
  DLS_START TIMESTAMP,
  DLS_END TIMESTAMP,
  DSLOFF INTEGER,
  NAME_EN VARCHAR(32) NOT NULL,
  "DESC" VARCHAR(128)
) 

#

CREATE TABLE IBM_TRAM."ComputerSystem" ( 
CSID  INTEGER  NOT NULL  GENERATED ALWAYS AS IDENTITY (START WITH 1,INCREMENT BY 1, NO CACHE ),
FQDN VARCHAR(64)  , 
"Manufacturer" VARCHAR (64)   , 
"Model" VARCHAR (64)  , 
"SerialNumber" VARCHAR (64)  , 
VMID VARCHAR (128)  , 
"PrimaryMACAddress" VARCHAR (64)  , 
"IpAddress" VARCHAR (32)  ,
"Signature" VARCHAR (128)  ,  
"ManagedSystemName" VARCHAR(64),
"Group" VARCHAR(64),
TIME_RANGE_START TIMESTAMP , 
TIME_RANGE_END TIMESTAMP,
 PRIMARY KEY (CSID)
) 

#

GRANT ALL ON IBM_TRAM.TIME_DIMENSION TO PUBLIC
#
GRANT ALL ON IBM_TRAM.MONTH_LOOKUP TO PUBLIC
#
GRANT ALL ON IBM_TRAM.WEEKDAY_LOOKUP TO PUBLIC
#
GRANT ALL ON IBM_TRAM."ComputerSystem" TO PUBLIC
#


commit

