@if (false)==(false) @cscript //nologo //e:jscript "%~dpnx0" %* & goto :eof @end
// The first line of this file needs to remain unchanged. It holds a preamble which will run the
// current file as a JScript WSH script despite having a .cmd extension.
// Documenation:
// msdn.microsoft.com/.../58dz2w55%28VS.85%29.aspx
// blogs.msdn.com/.../running-jscript-in-a-cmd-file.aspx
//

// ****************************************************************************
// IBM Confidential
// OCO Source Materials
// (c) Copyright IBM Corp. 2011
//
// The source code for this program is not published or otherwise divested of 
// its trade secrets, irrespective of what has been deposited with the U.S. 
// Copyright Office.
// ****************************************************************************


// This script will setup the historical collection required for the ITM for
// Virtual Environments 7.1 release.  Historical Configuration is setup for 
// each attribute group that is used for the Tivoli Common Reporting (TCR) 
// VMware Reports and for the Capacity Planning component.  
// 
// In the sections below, each attribute group is documented as being used for
// TCR Reporting, Capacity Planning, both, or is simply available in the Cognos
// data model so that you can create your own custom reports.  Someo of the 
// sections are commented out because Tivoli does not recommend collecting that
// historical data even though it is available in the data model.
//
// This section describes the attributes used in the script.  The values 
// provided in the script are Tivoli's recommendations, but you may make changes
// using the guidelines below.

// -c|--collectioninterval Specifies the collection interval. The acceptable inputs are 1m(inute), 5m, 15m, 30m, 1h(our), or 1d(ay). The default value is 15m(inutes).
// -l|--collectionlocation Specifies where the data collection is stored. The acceptable inputs are TEMA or TEMS. The default value is TEMA.
// -i|--warehouseinterval Specifies the warehouse interval. The acceptable inputs are 15m(inutes), 30m, 1h(our), 12h, 1d(ay), or off. The default value is 1d(ay).
// -d|--summarizationdetails Specifies the summarization details. If this option is not specified, summarization will be disabled. This option can be given as DH where Y=Yearly,Q=Quarterly,M=Monthly,W=Weekly,D=Daily, and H=Hourly.
// -p|--pruningdetails Specifies the pruning details. If this option is not specified, Pruning will be disabled. This option can be given as Y=1y,Q=1y,M=2m,W=2m,D=1d,H=2d,R=2d where Y=Yearly,Q=Quarterly,M=Monthly,W=Weekly,D=Daily,H=Hourly, and R=Detailed data.

// NOTE:  There are several tables used for Capacity Planning.   It is important
//        that the capacity planning tables be configured with the same summarization 
//        and pruning intervals. The tables are:
//  KVM DATASTORES
//  KVM SERVER
//  KVM SERVER CPU
//  KVM SERVER DATASTORE
//  KVM SERVER DISK
//  KVM SERVER HBA
//  KVM SERVER MEMORY
//  KVM SERVER NETWORK
//  KVM VIRTUAL MACHINES
//  KVM VM CPU
//  KVM VM DATASTORE UTILIZATION
//  KVM VM DISK
//  KVM VM MEMORY
//  KVM VM NETWORK
//  KVM VM PARTITION
// 
//  By default, these tables are being setup with 120 days of Daily summarization
//  data and 30 days of Hourly summarization.


// configureGroups is a dictionary object containing ITM VMware agent attribute group names as keys
// followed by an array containing:
//      1) the histcreatecollection CLI command's historical collection parameters and values described above
//    	2) the histconfiguregroups CLI command's summarization and pruning parameters for that attribute group described above
//      3) the managed system name for that attribute group (Either "*VMWARE_VI" or "*VMWARE_VI_AGENT")
//
// The values below are required for configuring each attribute group properly for Capacity and
// VMware agent TCR reports.  Groups that are not mandatory for packaged reports are commented out
// and may be enabled and customized as needed for user created ad-hoc reports.

var configureGroups = {
//
//"KVM DISTRIBUTED VIRTUAL PORTGROUPS":[" -i 1h -l TEMA -c 15m", " -m -d D -p D=30d,R=3d", "*VMWARE_VI_AGENT"],//In the data model and can be used to create reports
//"KVM DISTRIBUTED VIRTUAL SWITCHES":[" -i 1h -l TEMA -c 15m", " -m -d D -p D=30d,R=3d", "*VMWARE_VI_AGENT"],//In the data model and can be used to create reports
"KVM CLUSTERED DATASTORES":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=60d,H=14d,R=3d", "*VMWARE_VI_AGENT"],//In the data model and can be used to create reports
"KVM CLUSTERED RESOURCE POOLS":[" -i 1h -l TEMA -c 15m", " -m -d D -p D=60d,R=3d", "*VMWARE_VI_AGENT"], //Used for VMware TCR reports
"KVM CLUSTERED SERVERS":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=60d,H=14d,R=3d", "*VMWARE_VI_AGENT"],//In the data model and can be used to create reports
"KVM CLUSTERED VIRTUAL MACHINES":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=60d,H=14d,R=3d", "*VMWARE_VI_AGENT"],//In the data model and can be used to create reports
"KVM CLUSTERS":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=60d,H=14d,R=3d", "*VMWARE_VI_AGENT"], //Used for VMware TCR reports
"KVM RESOURCE POOL CPU":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=60d,H=14d,R=3d", "*VMWARE_VI"],//In the data model and can be used to create reports
"KVM RESOURCE POOL GENERAL":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=60d,H=14d,R=3d", "*VMWARE_VI"],//In the data model and can be used to create reports
"KVM RESOURCE POOL MEMORY":[" -i 1h -l TEMA -c 1h", " -m -d D -p D=60d,R=3d", "*VMWARE_VI"],//In the data model and can be used to create reports
"KVM NETWORKED SERVERS":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=60d,H=14d,R=3d", "*VMWARE_VI_AGENT"],//In the data model and can be used to create reports
//"KVM NETWORKED VIRTUAL MACHINES":[" -i 1h -l TEMA -c 15m", " -m -d D -p D=60d,R=3d", "*VMWARE_VI_AGENT"],//In the data model and can be used to create reports
"KVM NETWORKED VIRTUAL SWITCHES":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=60d,H=14d,R=3d", "*VMWARE_VI_AGENT"],//In the data model and can be used to create reports
"KVM NETWORKS":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=60d,H=14d,R=3d", "*VMWARE_VI_AGENT"],//In the data model and can be used to create reports
"KVM SERVER VIRTUAL SWITCHES":[" -i 1h -l TEMA -c 15m", " -m -d D -p D=60d,R=3d", "*VMWARE_VI"], //Used for VMware TCR reports
"KVM SERVER":[" -i 1h -l TEMA -c 5m", " -m -d DH -p D=120d,H=30d,R=3d", "*VMWARE_VI"], //Used for Capacity Planning and the VMware TCR reports
"KVM SERVER CPU":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=120d,H=30d,R=3d", "*VMWARE_VI"], //Used for Capacity Planning
"KVM DATASTORES":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=120d,H=30d,R=3d", "*VMWARE_VI_AGENT"], //Used for Capacity Planning and the VMware TCR reports
"KVM SERVER DATASTORE":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=120d,H=30d,R=3d", "*VMWARE_VI"], //Used for Capacity Planning and the VMware TCR reports
"KVM SERVER HBA":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=120d,H=30d,R=3d", "*VMWARE_VI"], //Used for Capacity Planning
"KVM SERVER DISK":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=120d,H=30d,R=3d", "*VMWARE_VI"], //Used for Capacity Planning and the VMware TCR reports
//"KVM SERVER SAN":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=60d,H=14d,R=3d", "*VMWARE_VI"],//In the data model and can be used to create reports
"KVM SERVER MEMORY":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=120d,H=30d,R=3d", "*VMWARE_VI"], //Used for Capacity Planning
"KVM SERVER NETWORK":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=120d,H=30d,R=3d", "*VMWARE_VI"], //Used for Capacity Planning and the VMware TCR reports
"KVM VIRTUAL MACHINES":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=120d,H=30d,R=3d", "*VMWARE_VI"], //Used for Capacity Planning and the VMware TCR reports
"KVM VIRTUAL SWITCHES":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=60d,H=14d,R=3d", "*VMWARE_VI_AGENT"],//In the data model and can be used to create reports
"KVM VM CPU":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=120d,H=30d,R=3d", "*VMWARE_VI"], //Used for Capacity Planning
"KVM VM DATASTORE UTILIZATION":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=120d,H=30d,R=3d", "*VMWARE_VI_AGENT"], //Used for Capacity Planning and the VMware TCR reports
"KVM VM DISK":[" -i 1h -l TEMA -c 1h", " -m -d DH -p D=120d,H=30d,R=3d", "*VMWARE_VI"], //Used for Capacity Planning
"KVM VM MEMORY":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=120d,H=30d,R=3d", "*VMWARE_VI"], //Used for Capacity Planning and the VMware TCR reports
"KVM VM NETWORK":[" -i 1h -l TEMA -c 15m", " -m -d DH -p D=120d,H=30d,R=3d", "*VMWARE_VI"], //Used for Capacity Planning and the VMware TCR reports
"KVM VM PARTITION":[" -i 1h -l TEMA -c 1h", " -m -d DH -p D=120d,H=30d,R=3d","*VMWARE_VI"] //Used for Capacity Planning
}


// This is a utility function used for command I/O
function ReadAllFromAny(oExec)
{
     if (!oExec.StdOut.AtEndOfStream)
           return oExec.StdOut.ReadAll();

     if (!oExec.StdErr.AtEndOfStream)
         return "STDERR: " + oExec.StdErr.ReadAll();
	       
     return -1;
}

// This function takes a commandString argument and passes it to the Windows command interpreter for
// execution. It displays command output to stdOut and returns the command output.
function execCmdStr(cmdStr)
{
		var WshShell = new ActiveXObject("WScript.Shell");
		var oExec    = WshShell.Exec("%comspec% /c " + cmdStr);
		var allInput = "";
		var tryCount = 0;

		while (true)
		{
		     var input = ReadAllFromAny(oExec);
			      if (-1 == input)
				  {
						if (tryCount++ > 10 && oExec.Status == 1)
						   break;
						WScript.Sleep(100);
				  }												  
				  else
				  {
						allInput += input;
						tryCount = 0;
				  }
		}
		WScript.Echo(allInput);
return( allInput );
}

// This function calls tacmd histcollections to determine if historical data collection
// has been started for a given ITM agent's attribute group.
function isCollectStarted(attrGrp, candleHome)
{
		var isCollectStarted = new Boolean(false);

		var preCmd = new String( candleHome + "\\BIN\\tacmd.exe histlistcollections -t vm -o \"");
		var myCmd = preCmd + attrGrp + new String("\"");

		WScript.Echo(myCmd + "\n");
		outStr = execCmdStr( myCmd );

// Sample "tacmd histlistcollections" output for reference
//
//KUIHLC001I Validating user credentials...
//Collection Name        : KVM_VM_PARTITION
//Collection ID          : KVM_KVMVM_PART
//Description            :
//Product Name           : VMware VI Agent
//Attribute Group Name   : KVM VM PARTITION
//Collection Location    : TEMA
//Status                 : Started(*VMWARE_VI)
//Filter                 :

		var re = new RegExp("Started(.+VMWARE_VI)", "m");
		var s = "";

		// Find a match for RegExp constructed above
		re.exec(outStr);
		s = RegExp.lastMatch;

		if (s == "Started(*VMWARE_VI")
		{
				WScript.Echo("Historical collection has been started for attribute group \"" + attrGrp + "\".\n");
				isCollectStarted = true;
		}
		else
				WScript.Echo("Historical collection has NOT been started for attribute group \"" + attrGrp + "\".\n");

return(isCollectStarted);
}

// This function calls tacmd histviewattributegroup to determine if summarization
// has been configured for a given ITM agent's attribute group.
function isSumConfigured(attrGrp, candleHome)
{
		var preCmd = new String( candleHome + "\\BIN\\tacmd.exe histviewattributegroup -t vm -o \"");
		var myCmd = preCmd + attrGrp + new String("\"");

		WScript.Echo(myCmd + "\n");
		outStr = execCmdStr( myCmd );

// Sample "tacmd histviewattributegroup" output for reference
//
// Attribute Group Name : KVM SERVER 
// Status               : Configured 
// Collections          : KVM_Server 
// Summarization        :  
// Yearly               : Off 
// Quarterly            : Off 
// Monthly              : Off 
// Weekly               : Off 
// Daily                : On 
// Hourly               : On 
// Pruning              :  
// Yearly               :  
// Quarterly            :  
// Monthly              :  
// Weekly               :  
// Daily                : 60 Days 
// Hourly               : 8 Days 
// Detailed Data        : 2 Days 
// Available TEMS       : TEMS, absm-sun1_RTEMS 

		var re = new RegExp("Daily.*On", "m");
		var s = "";
		var isSumConfigured = new Boolean(false);

		// Was there a match for RegExp constructed above?
		re.exec(outStr);
		src = RegExp.lastMatch;
		re = /Daily/;
		var result = re.exec(src);

		if (result != null)
		{
				WScript.Echo("Summarization and Pruning has been configured for attribute group \"" + attrGrp + "\".\n");
				isSumConfigured = true;
		}
		else
				WScript.Echo("Summarization and Pruning has NOT been configured for attribute group \"" + attrGrp + "\".\n");

return(isSumConfigured);
}

// Commands to configureGroups, createCollection, and startCollection for historical data collection
function configureGroup(spaceName, underScoreName, configPropArr, candleHome)
{
	WScript.Echo("Issuing historical data collection configuration command for: " + spaceName + "\n");

	var confGroupStr = candleHome + "\\BIN\\tacmd histconfiguregroups -t \"vm\" -o \"" + spaceName + "\" " + configPropArr[1];
	WScript.Echo("histconfiguregroups cmd: " + confGroupStr + "\n");
	execCmdStr(confGroupStr);
}

function createCollection(spaceName, underScoreName, configPropArr, candleHome)
{
	WScript.Echo("Issuing historical data collection creation command for: " + spaceName + "\n");
	var createCollStr = candleHome + "\\BIN\\tacmd histcreatecollection -a \"" + underScoreName + "\"" + " -t \"vm\" -o \"" + spaceName + "\" " + configPropArr[0] + " -e \"Historical collection for " + underScoreName + "\"";
	WScript.Echo("histcreatecollection cmd: " + createCollStr + "\n");
	execCmdStr(createCollStr);
}

function startCollection(spaceName, underScoreName, configPropArr, candleHome)
{
	WScript.Echo("Issuing historical data collection start command for: " + spaceName + "\n");
	var startCollStr = candleHome + "\\BIN\\tacmd histstartcollection -a \"" + underScoreName + "\" -m \"" + configPropArr[2] + "\"";
	WScript.Echo("histstartcollection cmd: " + startCollStr + "\n");
	execCmdStr(startCollStr);
}

// Check if each attribute group is configured, if not call function to configure it
function checkHistConfig(obj, candleHome) 
{    
   var name = "";    
   for (var prop in obj)
   {
		var re = new RegExp(" ", "g");
		// Create attribute group name identifier with underscores between tokens, "A B C" -> "A_B_C"
		name = prop.replace(re, "_");

   	    WScript.Echo("Checking if historical collection is started for \"" + prop + "\"");
   	    isHCStarted = isCollectStarted(prop, candleHome)

   	    WScript.Echo("Checking if summarization is configured for \"" + prop + "\"");
   	    isSumConf = isSumConfigured(prop, candleHome)

		// Summarization is NOT configured
        if ( false == isSumConf )
		{
  		   WScript.Echo("Summarization is NOT configured");
		   if ( true == isHCStarted )
		   {
		     WScript.Echo("Historical Collection is already started for " + prop);
             WScript.Echo("Must configure Summarization & Pruning\n");
			 configureGroup(prop, name, obj[prop], candleHome);
		   }
		   else
		   {
		     WScript.Echo("Nothing is configured. Must configure both historical collection and S&P for " + prop + "\n");
			 configureGroup(prop, name, obj[prop], candleHome);
			 createCollection(prop, name, obj[prop], candleHome);
			 startCollection(prop, name, obj[prop], candleHome);
		   }
		}
		else
		{
		   WScript.Echo("Summarization is configured");
		   if ( true == isHCStarted )
		     WScript.Echo("Historical Collection is configured properly for " + prop + "\n");
		   else
		   {
		     WScript.Echo("Historical Collection is not configured, but Summarization is configured for " + prop + "\n");
			 createCollection(prop, name, obj[prop], candleHome);
			 startCollection(prop, name, obj[prop], candleHome);
		   }
		}
   }    
}    
  
function loginTEPS(teps, uname, pw, ch)
{
		var myCmd = new String(ch + "\\BIN\\tacmd.exe tepslogin -t 90 -s " + teps + " -u " + uname + " -p " + pw);
		WScript.Echo("\n" + myCmd);
		var WshShell = new ActiveXObject("WScript.Shell");
		var oExec    = WshShell.Exec("%comspec% /c " + myCmd);

		var allInput = "";
		var tryCount = 0;

		while (true)
		{
				var input = ReadAllFromAny(oExec);
				if (-1 == input)
				{
				  if (tryCount++ > 10 && oExec.Status == 1)
					break;
				  WScript.Sleep(100);
				}												  
				else
				{
          		  allInput += input;
				  tryCount = 0;
				}
		}

		WScript.Echo(allInput);

		var re = new RegExp("logged into server", "m");

		var result;
		var s = "";
		var isLoggedIn = new Boolean(false);

// Sample tepslogin output for reference
//
//  KUICTL001I Validating user credentials...
//
//KUIC00007I: User sysadmin logged into server on http://itm:1920.

		// Look for the first match
		result = re.exec(allInput);
		s = RegExp.lastMatch;
		WScript.Echo(s);

		if (s == "logged into server")
		{
				WScript.Echo("Successful TEPS login.\n");
				isLoggedIn = true;
		}
		else
		{
				WScript.Echo("TEPS login failed.\n");
				WScript.Quit(1);
		}

return(isLoggedIn);
}

// This function tests that three or four command-line arguments are present and then attempts to login to the TEPS.
// A script usage message is printed if an incorrect number of arguments are submitted.
// There are three mandatory and one optional argument as shown below.0
//
// 	Usage: vmware_hist_config <TEPS_HOSTNAME> <USERNAME> <TEPS_PASSWORD> [CANDLEHOME_PATH]
// 	
function launch()
{
  if ( (WScript.Arguments.length < 3) || (WScript.Arguments.length > 4) )
  {
	WScript.Echo("\n");
	WScript.Echo("This script configures ITM VMware agent historical data collection for use with");
	WScript.Echo("Capacity Planning and VMware TCR reports.\n");
	WScript.Echo("Usage: vmware_hist_config <TEPS_HOSTNAME> <USERNAME> <TEPS_PASSWORD> [ITM_PATH]\n");
	WScript.Echo("Options:\n");
	WScript.Echo("TEPS_HOSTNAME: Specifies the Tivoli Enterprise Portal Server hostname to connect into.\n");
	WScript.Echo("USERNAME: Specifies the Username to log into the Tivoli Enterprise Portal Server.\n");
	WScript.Echo("TEPS_PASSWORD: Specifies the password for user authentication.\n");
	WScript.Echo("[ITM_PATH]: Specifies the CANDLEHOME to use if not using the default of C:\\IBM\\ITM.\n");
	WScript.Echo("\n");
	WScript.Echo("Example: vmware_hist_config tepshost1 sysadmin secret \"c:\\myCandleHome\"\n");

	WScript.Quit(1);
  }

  args = WScript.Arguments;
  var candleHome = new String("C:\\IBM\\ITM");

  if ( 3 == args.length )
  {
	loginTEPS( args(0), args(1), args(2), candleHome)
  }
  if ( 4 == args.length )
  {
	candleHome = args(3);
	loginTEPS( args(0), args(1), args(2), candleHome )
  }
  checkHistConfig(configureGroups, candleHome);
}

launch();
WScript.Quit(0);
